Page tree
Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 5 Next »

MFČR vyžaduje pro šifrování protokol verze min. TLS 1.1 a TLS 1.2. MFČR verzi 1.0 zakázalo používat. Windows XP nebo starší verze Windows SERVER 2008 R1 podporuje jen protokol TLS 1.0. Tyto operační systémy nebudou podporovány právě z důvodu nemožnosti použití TLS 1.1 a vyšší. Proto je EET použitelné v Windows Server 2008 R2 a novější nebo OS Windows 7 a novější!!!


Na PC nebo serveru je nutné mít aktuální verzi včetně všech dostupných aktualizací pro Microsoft .NET Framework 4.5

Na serveru je pak ještě nutná instalace role "Aplikační server".


Co je nutné nainstalovat na PC/Server


  • Na serveru je pak ještě nutná instalace role "Aplikační server"
  • Povolit protokoly TLS 1.1 a TLS 1.2
    Otevřeme ovládací panely - Možnosti internetu - záložka upřesnit a v seznamu voleb (téměř na konci) zaškrtneme dvě volby, které nejsou nyní zapnuty. Povolit protokol TLS 1.1 a TLS 1.2. Uložím nastaví tlačítky "Použít - OK"


Možné problémy

Pokud není operační systém plně aktuální, tedy nemáme nainstalovány veškeré aktualizace, včetně těch doporučených pro Microsoft.NET 4.5 a spouštíme IS PREMIER v rámci místní sítě, mohou se vyskytnout některé z následujících chyb.

Pokud IS PREMIER spouštíme v rámci vnitřní sítě a zobrazuje se ihned po spuštění programu podobné hlášení jako na obrázku



Pokud budeme nastavovat certifikáty a nebude nastavena důvěryhodnost mezi PC a serverem nebo nebude Váš operační systém aktualizován, může se objevit chyba v podobném znění jako na níže uvedeném obrázku.


Je nutné povolit důvěryhodnost mezi počítačem a serverem.

Ovládací panely - Možnosti internetu - záložka Zabezpečení


  1. Ovládací panely – Možnosti internetu – záložka Zabezpečení
  2. Vybereme místní síť LAN
  3. Snížíme úroveň zabezpečení pro zónu lokální sítě
  4. Vypneme rozšířené zabezpečení (není nutné)
  5. Klikneme na tl. "Sítě" pro přidání místního serveru
  6. Zadáme název místního serveru
  7. Klikneme na tlačítko "Přidat"

 

Zavřeme všechny okna tlačítky OK.

  

Pokud nastavíme výše uvedené a chyba se bude objevovat stále, důvodem je neaktuální operační systém. Je nutné provést aktualizaci operačního systému a doinstalovat veškeré aktualizace a nainstalovat Microsoft.NET 4.5. Instalační balíček pro operační systémy Windows 7, Windows 8, Windows 8.1, Windows Server 2008 R2 je možné stáhnout z webu společnosti Microsoft, popřípadě z uvedeného odkazu < < < ZDE > > >

  

Uživatelé Windows 7–10 budou muset přidat jen místní server mezi důvěryhodné servery v rámci lokální sítě.


Chyba v Msxml2.XMLHTTP.3.0

Při pokusu odeslat FIK se může zobrazit toto chybové hlášení


Tato chyba je způsobena, že v prohlížeči Internet Explorer nejsou povoleny protokoly TLS 1.1. a TLS 1.2. Ve starších Windows tyto protokoly nejsou ve výchozím stavu povoleny a je nutné je povolit.

Otevřeme ovládací panely - Možnosti internetu - záložka upřesnit a v seznamu voleb (téměř na konci) zaškrtneme dvě volby, které nejsou nyní zapnuty. Povolit protokol TLS 1.1 a TLS 1.2. Uložím nastaví tlačítky "Použít - OK"



Chyba XML schématu


Tato se zobrazí v případě problémů s certifikátem, který je vygenerován pro jiné DIČ nebo provozovnu, může být poškozen otisk certifikátu, popřípadě byl vybrán jiný certifikát, který není určen pro EET.


  • No labels